Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Cannot Install Many Software
Cannot Install Many Software [message #1809371] Mon, 15 July 2019 07:26 Go to next message
Harvey Clayton is currently offline Harvey ClaytonFriend
Messages: 2
Registered: July 2019
Junior Member
Hi,

I am using Eclipse IDE for C/C++ Developers version Mars. 1 Release (4.5.1), which I downloaded and installed last night from https://www.eclipse.org/.

However, when I am trying to install by navigating through the menu Help -> Install New Software, I am getting this error message.

An error occurred during the org.eclipse.equinox.internal.p2.engine.phases.CheckTrust phase.
session context was:(profile=_home_erick_eclipse_cpp-mars_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.CheckTrust, operand=, action=).
Error reading signed content.
zip file is empty

However, by googling through the internet, I found that I might want to add "-Djava.util.Arrays.useLegacyMergeSort=true" to my eclipse.ini

Here is the content of my eclipse.ini
-startup
../../../.p2/pool/plugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar
--launcher.library
Re: Cannot Install Many Software [message #1809395 is a reply to message #1809371] Mon, 15 July 2019 12:12 Go to previous message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3513
Registered: July 2009
Senior Member

Mars.1 was a release from 2015. Use the current one: 2019-06.

Nitin Dahyabhai
Eclipse Web Tools Platform
Previous Topic:Call Hierarchy Question
Next Topic:File locking when Jetty service is up
Goto Forum:
  


Current Time: Mon Oct 21 05:48:45 GMT 2019

Powered by FUDForum. Page generated in 0.03408 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top